#ifndef _tg_h
#define _tg_h 

#include "atomparser.h"

typedef struct {
	int entries;
	char **item;
} StringList;

void store4int(unsigned int n, char *data);
void dprintf (const char *fmt, ...);
int CreateUDTA(Song *tag, char *fulltag, int len);
int MOOVtoEnd(FILE *f, int len, int moovpos);
void parsepath(char *path, Song *tag);
void usage(void);
int tagger(int argc, char *filename, char *argv[]);
int pstrcmp(const void *p1, const void *p2);
void AddString(StringList *sl, char *s);
void FreeStringList(StringList *sl);
void dirlist(StringList *filelist, char *pathmask);

#endif

